Skip to content

Creates a new event record that does not already exist.

Request

This method will auto-generate an ID and create a new event. If an ID is specified for the event, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The event that you would like to be saved.

addressobject(Address)

A complete address

business_unit_idstring(Business Unit)

The business unit of this event

capacity_optionsobject(Capacity Options)required
chapter_idstring(Chapter)

The chapter associated with this event, if applicable

cloned_from_idstring(Cloned From)

The event from which this event was cloned

console_access_optionsobject(Console Access Options)required
custom_field_valuesArray of objects(Custom Field Values)
date_to_remove_from_portalstring, (date-time)(Date To Remove From Portal)

The date that that this event should be removed from the portal. If blank, the end date is used

descriptionstring(Description)

Event description

do_not_stretch_mastheadboolean(Do Not Stretch Masthead)

If set, the masthead image is not stretched and is left as is

enable_abstractsboolean(Enable Abstracts)

Whether or not abstract submission and judging is enabled for this event

enable_capacityboolean(Enable Capacity)

If set, the session has a capacity

enable_componentsboolean(Enable Components)

Whether or not this event has mini-conferences, or components

enable_coursesboolean(Enable Courses)

Whether or not certification courses can be sold during the event

enable_documentsboolean(Enable Documents)

Enable documents for your event

enable_exhibitorsboolean(Enable Exhibitors)

Whether or not this event has exhibitors

enable_functionsboolean(Enable Functions)

Whether or not functions are enabled for this event

enable_logisticsboolean(Enable Logistics)

Whether or not logistics & planning are available for this event

enable_onsiteboolean(Enable Onsite)

Whether or not you would like onsite checking and kiosks for this event

enable_registrationboolean(Enable Registration)

Whether or not online registration is enabled for this event

enable_sessionsboolean(Enable Sessions)

Whether or not onlines sessions are enabled for this event

enable_sponsorsboolean(Enable Sponsors)

Whether or not this event has sponsors you would like to track

enable_volunteersboolean(Enable Volunteers)

Whether or not volunteer management & tracking

end_datestring, (date-time)(End Date)required

The end of the event

featuredboolean(Featured)

If true, this event should be featured and displayed prominently

featured_fromstring, (date-time)(Featured From)

The time during which this event should be featured

featured_untilstring, (date-time)(Featured Until)

The time during which this event should be featured

idstring(ID)^[\w|-]+$required

The unique, string identifier of this event

masthead_image_uristring(Masthead Image Uri)

The masthead image to be displayed for the event

namestring(Name)required

The name of the event

portal_integrated_events_optionsobject(Portal Integrated Events Options)
previous_event_idstring(Previous Event)

The event linked that occurred before this one, used for comparison

registration_deadlinesArray of objects
restrict_console_accessboolean(Restrict Console Access)

If true, only certain console users can access this event

site_modestring(Site Mode)

Describes how this event registration and site information will be hosted and displayed

Enum:"external""microsite""none""portal integrated"
sold_outboolean(Sold Out)

Whether the event is sold out

start_datestring, (date-time)(Start Date)required

The start of the event

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

thumbnail_image_uristring(Thumbnail Image Uri)

The thumbnail image to display in upcoming events

timezonestring(Timezone)required

The timezone that the event is in

timezone_abbreviationstring(Timezone Abbreviation)

The timezone abbreviation, based on the event start date

timezone_modestring(Timezone Mode)
Enum:"local""specific timezone"
timezone_offsetnumber, (float)(Timezone Offset)

The time zone offset, in minutes, from UTC, based on the event start date

type_idstring(Type)required

The type of event

urlstring(Url)required

The URL of the event site

venue_idstring(Venue)

The venue hosting the event

visible_in_portalboolean(Visible In Portal)

Whether this is visible in the portal

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/events/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "address": {
      "city": "string",
      "country": "string",
      "country_name": "string",
      "county": "string",
      "latitude": 0.1,
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "longitude": 0.1,
      "postal_code": "string",
      "state": "string",
      "time_zone_id": "string"
    },
    "business_unit_id": "string",
    "capacity_options": {
      "capacity": 0,
      "enable_wait_list": true,
      "text_to_display_when_sold_out": "string",
      "waitlist_process_id": "string"
    },
    "chapter_id": "string",
    "cloned_from_id": "string",
    "console_access_options": {
      "administrator_security_role_ids": [
        "string"
      ],
      "user_security_role_ids": [
        "string"
      ]
    },
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "date_to_remove_from_portal": "2019-08-24T14:15:22Z",
    "description": "string",
    "do_not_stretch_masthead": true,
    "enable_abstracts": true,
    "enable_capacity": true,
    "enable_components": true,
    "enable_courses": true,
    "enable_documents": true,
    "enable_exhibitors": true,
    "enable_functions": true,
    "enable_logistics": true,
    "enable_onsite": true,
    "enable_registration": true,
    "enable_sessions": true,
    "enable_sponsors": true,
    "enable_volunteers": true,
    "end_date": "2019-08-24T14:15:22Z",
    "featured": true,
    "featured_from": "2019-08-24T14:15:22Z",
    "featured_until": "2019-08-24T14:15:22Z",
    "id": "string",
    "masthead_image_uri": "string",
    "name": "string",
    "portal_integrated_events_options": {
      "registrant_directory_id": "string",
      "show_group_registration": true,
      "show_registrant_directory": true,
      "show_schedule": true
    },
    "previous_event_id": "string",
    "registration_deadlines": [
      {
        "date": "2019-08-24T14:15:22Z",
        "id": "string"
      }
    ],
    "restrict_console_access": true,
    "site_mode": "external",
    "sold_out": true,
    "start_date": "2019-08-24T14:15:22Z",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "thumbnail_image_uri": "string",
    "timezone": "string",
    "timezone_abbreviation": "string",
    "timezone_mode": "local",
    "timezone_offset": 0.1,
    "type_id": "string",
    "url": "string",
    "venue_id": "string",
    "visible_in_portal": true
  }'

Responses

The event was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
addressobject(Address)

A complete address

business_unit_idstring(Business Unit)

The business unit of this event

capacity_optionsobject(Capacity Options)required
chapter_idstring(Chapter)

The chapter associated with this event, if applicable

cloned_from_idstring(Cloned From)

The event from which this event was cloned

console_access_optionsobject(Console Access Options)required
custom_field_valuesArray of objects(Custom Field Values)
date_to_remove_from_portalstring, (date-time)(Date To Remove From Portal)

The date that that this event should be removed from the portal. If blank, the end date is used

descriptionstring(Description)

Event description

do_not_stretch_mastheadboolean(Do Not Stretch Masthead)

If set, the masthead image is not stretched and is left as is

enable_abstractsboolean(Enable Abstracts)

Whether or not abstract submission and judging is enabled for this event

enable_capacityboolean(Enable Capacity)

If set, the session has a capacity

enable_componentsboolean(Enable Components)

Whether or not this event has mini-conferences, or components

enable_coursesboolean(Enable Courses)

Whether or not certification courses can be sold during the event

enable_documentsboolean(Enable Documents)

Enable documents for your event

enable_exhibitorsboolean(Enable Exhibitors)

Whether or not this event has exhibitors

enable_functionsboolean(Enable Functions)

Whether or not functions are enabled for this event

enable_logisticsboolean(Enable Logistics)

Whether or not logistics & planning are available for this event

enable_onsiteboolean(Enable Onsite)

Whether or not you would like onsite checking and kiosks for this event

enable_registrationboolean(Enable Registration)

Whether or not online registration is enabled for this event

enable_sessionsboolean(Enable Sessions)

Whether or not onlines sessions are enabled for this event

enable_sponsorsboolean(Enable Sponsors)

Whether or not this event has sponsors you would like to track

enable_volunteersboolean(Enable Volunteers)

Whether or not volunteer management & tracking

end_datestring, (date-time)(End Date)required

The end of the event

featuredboolean(Featured)

If true, this event should be featured and displayed prominently

featured_fromstring, (date-time)(Featured From)

The time during which this event should be featured

featured_untilstring, (date-time)(Featured Until)

The time during which this event should be featured

idstring(ID)^[\w|-]+$required

The unique, string identifier of this event

masthead_image_uristring(Masthead Image Uri)

The masthead image to be displayed for the event

namestring(Name)required

The name of the event

portal_integrated_events_optionsobject(Portal Integrated Events Options)
previous_event_idstring(Previous Event)

The event linked that occurred before this one, used for comparison

registration_deadlinesArray of objects
restrict_console_accessboolean(Restrict Console Access)

If true, only certain console users can access this event

site_modestring(Site Mode)

Describes how this event registration and site information will be hosted and displayed

Enum:"external""microsite""none""portal integrated"
sold_outboolean(Sold Out)

Whether the event is sold out

start_datestring, (date-time)(Start Date)required

The start of the event

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

thumbnail_image_uristring(Thumbnail Image Uri)

The thumbnail image to display in upcoming events

timezonestring(Timezone)required

The timezone that the event is in

timezone_abbreviationstring(Timezone Abbreviation)

The timezone abbreviation, based on the event start date

timezone_modestring(Timezone Mode)
Enum:"local""specific timezone"
timezone_offsetnumber, (float)(Timezone Offset)

The time zone offset, in minutes, from UTC, based on the event start date

type_idstring(Type)required

The type of event

urlstring(Url)required

The URL of the event site

venue_idstring(Venue)

The venue hosting the event

visible_in_portalboolean(Visible In Portal)

Whether this is visible in the portal

Response
{ "address": { "city": "string", "country": "string", "country_name": "string", "county": "string", "latitude": 0.1, "line1": "string", "line2": "string", "line3": "string", "longitude": 0.1, "postal_code": "string", "state": "string", "time_zone_id": "string" }, "business_unit_id": "string", "capacity_options": { "capacity": 0, "enable_wait_list": true, "text_to_display_when_sold_out": "string", "waitlist_process_id": "string" }, "chapter_id": "string", "cloned_from_id": "string", "console_access_options": { "administrator_security_role_ids": [ … ], "user_security_role_ids": [ … ] }, "custom_field_values": [ { … } ], "date_to_remove_from_portal": "2019-08-24T14:15:22Z", "description": "string", "do_not_stretch_masthead": true, "enable_abstracts": true, "enable_capacity": true, "enable_components": true, "enable_courses": true, "enable_documents": true, "enable_exhibitors": true, "enable_functions": true, "enable_logistics": true, "enable_onsite": true, "enable_registration": true, "enable_sessions": true, "enable_sponsors": true, "enable_volunteers": true, "end_date": "2019-08-24T14:15:22Z", "featured": true, "featured_from": "2019-08-24T14:15:22Z", "featured_until": "2019-08-24T14:15:22Z", "id": "string", "masthead_image_uri": "string", "name": "string", "portal_integrated_events_options": { "registrant_directory_id": "string", "show_group_registration": true, "show_registrant_directory": true, "show_schedule": true }, "previous_event_id": "string", "registration_deadlines": [ { … } ], "restrict_console_access": true, "site_mode": "external", "sold_out": true, "start_date": "2019-08-24T14:15:22Z", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "thumbnail_image_uri": "string", "timezone": "string", "timezone_abbreviation": "string", "timezone_mode": "local", "timezone_offset": 0.1, "type_id": "string", "url": "string", "venue_id": "string", "visible_in_portal": true }